gnutls_x509_crq_export(3)

NAME
gnutls_x509_crq_export - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_export(gnutls_x509_crq_t crq, gnutls_x509_crt_fmt_t format, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

void * output_data
    will contain a certificate request PEM or DER encoded

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the certificate request to a PEM or DER encoded PKCS10 structure. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned and * output_data_size will be updated. If the structure is PEM encoded, it will have a header of "BEGIN NEW CERTIFICATE REQUEST".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/